#Tile info patching script for Keen 1
%ext ck1

%version 1.1
%patchfile 0x131F8 keenz.tli

%version 1.31
%patchfile 0x130F8 keenz.tli

#PogoPatch
%patch $900E  $01 $00

##Menus##

# Your ship is missing...
%patch 0x0001659B "Keen needs to steal "

# SpaceBar Status Menu
%patch 0x00014e66 "LIFE"
%patch 0x00014e77 "LIVES"
%patch 0x00014e9B "N.STUN"
%patch 0x00014eac "KEYGEMS:"
%patch 0x00014ec8 "SHOTS:"
%patch 0x014e83 "ORGANS    "

# About ID Screen:
%patch 0x00015f80 "Keen Z is the long missing        "
%patch 0x00015fa8 "sequel to Keen Y and a tribute   "
%patch 0x00015fd0 "mod to great keener and modder"
%patch 0x00015ff8 "Xky Raugh.          "
%patch 0x00016020 "Thanks Xky for your keen 1-3    "
%patch 0x00016048 "mods and support to other keen     "
%patch 0x00016070 "modders.                  "
%patch 0x00016098 "                       "
%patch 0x000160c0 "                             "
%patch 0x000160e8 "                                 "
%patch 0x00016110 "                         "

#Title Screen's Menu Options
%patch 0x00015ef6 "Restore Game"
%patch 0x00015f02 0x0A 0x00 0x20 0x20 0x20 0x20 "Story" 0x0A 0x00 0x20 0x20 0x20 "About Z    "
%patch 0x00015f22 "The Keenest"
%patch 0x00015f52 "Title Screen"
#Previews!
%patch $95B5  $EB $AD #Disable
#ordering info
%patch $95A3  $EB $AD #Disable



#Bridge block (Affects lightswitch!)
%patch $4AEE $0E $01
%patch $4B3D $0E $01

#Keen exit doesn't use 2 blank space tiles; door replaced by tiles 15 and 1
%patch $4127 $90 $90 $90 $90
%patch $414B $90 $90 $90 $90



#Finale
%patch 0x015C24 "Dispoing of the organs, Keen goes  "
%patch 0x015C49 "back to the BWB. As he takes off "
%patch 0x015C6C "the screen blurs to life with the  "
%patch 0x015C91 "visage of Mortimer himself!    "

# First dialogue box at home
%patch 0x015CBD "M: Guess what Keen?   "
%patch 0x015CD5 "That ship was just"
%patch 0x015CE9 "another decoy!   "

%patch 0x015CFB "K: Another decoy?! "
%patch 0x015D10 "Curse you Mort, how"
%patch 0x015D25 "many dec--"

%patch 0x015D30 "Wait a minute....    "
#Text jump
%patch 0x015D47 "ALL YOUR BATTLESHIPS "
%patch 0x015D5E "ARE DECOYS AREN'T  "
%patch 0x015D73 "THEY!!!!   "

%patch 0x015D80 "M: What?  No!   "
%patch 0x015D92 "You just-"

%patch 0x015D9C "K: You may be one IQ  "
%patch 0x015DB4 "point smarter, but  "
%patch 0x015DCA "I've figured you out!  "

%patch 0x015DE2 "M: What, NO! Youre-"
%patch 0x015DF6 "M: Listen to me-"

%patch 0x015E07 "K: I'm not falling   "
%patch 0x015E1E "for anymore of your    "
%patch 0x015E37 "games. Hatch up a  "
%patch 0x015E4C "real plot and then   "
%patch 0x015E63 "we'll play.   "



#Don't make the border flash when Vorticon dies
%patch $1DAF $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90


%level.hint 2
Aboard my latest
Battleship to 'foil
my plans' again?
Haha, you'll never
succeed!


      

%level.hint 6
Ha, even without the
tongue, I can still 
force the universe
eater to eat
anything with my 
superior mind!


%level.hint 9
So, you completed
one of my chief 
engineer Keenrush's
levels eh? You
won't get much
farther.


%level.hint 10
Humf, you may have
escaped this area,
but you'll never   
stop me, Keen!



%level.hint 11
Haha, just try to   
figure this one out!


%level.hint 12
Suicide the only
option?  Only 
Levellord could
be so evil!


%level.hint 15
That's it, Keen!  
Just try to escape  
with your life!
You've met your
doom!

#High Score Entries
%patch 0x01593F "KeenX"
%patch 0x01594E "KeenY  "
%patch 0x01595D "KeenZ "

#Exit tiles don't 'appear' when Keen exits
%patch $412E $00 #Exit tiles don't change.

%end
